com.corticon.rulesemf.common

## Interface CommonPackage.Literals

- Enclosing interface:
    CommonPackage

      public static interface CommonPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ANNOTATABLE` The meta object literal for the '`Annotatable`' class
    `static org.eclipse.emf.ecore.EReference` | `ANNOTATABLE__ANNOTATIONS` The meta object literal for the 'Annotations' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `ANNOTATION` The meta object literal for the '`Annotation`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ANNOTATION__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ANNOTATION__VALUE` The meta object literal for the 'Value' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `ASSET` The meta object literal for the '`Asset`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ASSET__BUILD_NUMBER` The meta object literal for the 'Build Number' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ASSET__EXTERNAL_CHECKSUM` The meta object literal for the 'External Checksum' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ASSET__LANGUAGE_CODE` The meta object literal for the 'Language Code' attribute list feature
    `static org.eclipse.emf.ecore.EAttribute` | `ASSET__MAJOR_SERVICE_NUMBER` The meta object literal for the 'Major Service Number' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ASSET__MAJOR_VERSION_NUMBER` The meta object literal for the 'Major Version Number' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ASSET__MINOR_SERVICE_NUMBER` The meta object literal for the 'Minor Service Number' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ASSET__MINOR_VERSION_NUMBER` The meta object literal for the 'Minor Version Number' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ASSET__READ_ONLY` The meta object literal for the 'Read Only' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ASSET__UPDATE_STAMP` The meta object literal for the 'Update Stamp' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `ASSET__VALIDATION_MESSAGES` The meta object literal for the 'Validation Messages' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `ASSET__VALIDATION_REQUEST` The meta object literal for the 'Validation Request' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `CORTICON_OBJECT` The meta object literal for the '`Corticon Object`' class
    `static org.eclipse.emf.ecore.EAttribute` | `CORTICON_OBJECT__GUID` The meta object literal for the 'Guid' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `INTERNATIONAL_VALIDATION_MESSAGE` The meta object literal for the '`International Validation Message`' class
    `static org.eclipse.emf.ecore.EAttribute` | `INTERNATIONAL_VALIDATION_MESSAGE__LOCATION_KEY` The meta object literal for the 'Location Key' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `INTERNATIONAL_VALIDATION_MESSAGE__LOCATION_VARIABLES` The meta object literal for the 'Location Variables' attribute list feature
    `static org.eclipse.emf.ecore.EAttribute` | `INTERNATIONAL_VALIDATION_MESSAGE__TEXT_KEY` The meta object literal for the 'Text Key' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `INTERNATIONAL_VALIDATION_MESSAGE__TEXT_VARIABLES` The meta object literal for the 'Text Variables' attribute list feature
    `static org.eclipse.emf.ecore.EEnum` | `LANGUAGE_CODE` The meta object literal for the '`Language Code`' enum
    `static org.eclipse.emf.ecore.EClass` | `LOCALIZED_VALIDATION_MESSAGE` The meta object literal for the '`Localized Validation Message`' class
    `static org.eclipse.emf.ecore.EAttribute` | `LOCALIZED_VALIDATION_MESSAGE__LOCATION` The meta object literal for the 'Location' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `LOCALIZED_VALIDATION_MESSAGE__TEXT` The meta object literal for the 'Text' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `VALIDATABLE_OBJECT` The meta object literal for the '`Validatable Object`' class
    `static org.eclipse.emf.ecore.EReference` | `VALIDATABLE_OBJECT__VALIDATION_MESSAGES` The meta object literal for the 'Validation Messages' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `VALIDATION_MESSAGE` The meta object literal for the '`Validation Message`' class
    `static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_MESSAGE__DEMOTED` The meta object literal for the 'Demoted' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `VALIDATION_MESSAGE__INVALID_OBJECTS` The meta object literal for the 'Invalid Objects' reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_MESSAGE__KEY` The meta object literal for the 'Key' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_MESSAGE__SEVERITY` The meta object literal for the 'Severity' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_MESSAGE__TYPE` The meta object literal for the 'Type' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `VALIDATION_MESSAGE__UUID` The meta object literal for the 'UUID' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `VALIDATION_MESSAGE_SEVERITY` The meta object literal for the '`Validation Message Severity`' enum
    `static org.eclipse.emf.ecore.EEnum` | `VALIDATION_MESSAGE_TYPE` The meta object literal for the '`Validation Message Type`' enum

- - ### Field Detail

    - #### VALIDATION_MESSAGE

          static final org.eclipse.emf.ecore.EClass VALIDATION_MESSAGE

      The meta object literal for the '`Validation Message`' class.
      See Also:
        `ValidationMessageImpl`, `CommonPackageImpl.getValidationMessage()`

    - #### VALIDATION_MESSAGE__UUID

          static final org.eclipse.emf.ecore.EAttribute VALIDATION_MESSAGE__UUID

      The meta object literal for the 'UUID' attribute feature.

    - #### VALIDATION_MESSAGE__KEY

          static final org.eclipse.emf.ecore.EAttribute VALIDATION_MESSAGE__KEY

      The meta object literal for the 'Key' attribute feature.

    - #### VALIDATION_MESSAGE__TYPE

          static final org.eclipse.emf.ecore.EAttribute VALIDATION_MESSAGE__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### VALIDATION_MESSAGE__SEVERITY

          static final org.eclipse.emf.ecore.EAttribute VALIDATION_MESSAGE__SEVERITY

      The meta object literal for the 'Severity' attribute feature.

    - #### VALIDATION_MESSAGE__DEMOTED

          static final org.eclipse.emf.ecore.EAttribute VALIDATION_MESSAGE__DEMOTED

      The meta object literal for the 'Demoted' attribute feature.

    - #### VALIDATION_MESSAGE__INVALID_OBJECTS

          static final org.eclipse.emf.ecore.EReference VALIDATION_MESSAGE__INVALID_OBJECTS

      The meta object literal for the 'Invalid Objects' reference list feature.

    - #### LOCALIZED_VALIDATION_MESSAGE

          static final org.eclipse.emf.ecore.EClass LOCALIZED_VALIDATION_MESSAGE

      The meta object literal for the '`Localized Validation Message`' class.
      See Also:
        `LocalizedValidationMessageImpl`, `CommonPackageImpl.getLocalizedValidationMessage()`

    - #### LOCALIZED_VALIDATION_MESSAGE__TEXT

          static final org.eclipse.emf.ecore.EAttribute LOCALIZED_VALIDATION_MESSAGE__TEXT

      The meta object literal for the 'Text' attribute feature.

    - #### LOCALIZED_VALIDATION_MESSAGE__LOCATION

          static final org.eclipse.emf.ecore.EAttribute LOCALIZED_VALIDATION_MESSAGE__LOCATION

      The meta object literal for the 'Location' attribute feature.

    - #### INTERNATIONAL_VALIDATION_MESSAGE

          static final org.eclipse.emf.ecore.EClass INTERNATIONAL_VALIDATION_MESSAGE

      The meta object literal for the '`International Validation Message`' class.
      See Also:
        `InternationalValidationMessageImpl`, `CommonPackageImpl.getInternationalValidationMessage()`

    - #### INTERNATIONAL_VALIDATION_MESSAGE__TEXT_KEY

          static final org.eclipse.emf.ecore.EAttribute INTERNATIONAL_VALIDATION_MESSAGE__TEXT_KEY

      The meta object literal for the 'Text Key' attribute feature.

    - #### INTERNATIONAL_VALIDATION_MESSAGE__TEXT_VARIABLES

          static final org.eclipse.emf.ecore.EAttribute INTERNATIONAL_VALIDATION_MESSAGE__TEXT_VARIABLES

      The meta object literal for the 'Text Variables' attribute list feature.

    - #### INTERNATIONAL_VALIDATION_MESSAGE__LOCATION_KEY

          static final org.eclipse.emf.ecore.EAttribute INTERNATIONAL_VALIDATION_MESSAGE__LOCATION_KEY

      The meta object literal for the 'Location Key' attribute feature.

    - #### INTERNATIONAL_VALIDATION_MESSAGE__LOCATION_VARIABLES

          static final org.eclipse.emf.ecore.EAttribute INTERNATIONAL_VALIDATION_MESSAGE__LOCATION_VARIABLES

      The meta object literal for the 'Location Variables' attribute list feature.

    - #### ASSET

          static final org.eclipse.emf.ecore.EClass ASSET

      The meta object literal for the '`Asset`' class.
      See Also:
        `AssetImpl`, `CommonPackageImpl.getAsset()`

    - #### ASSET__LANGUAGE_CODE

          static final org.eclipse.emf.ecore.EAttribute ASSET__LANGUAGE_CODE

      The meta object literal for the 'Language Code' attribute list feature.

    - #### ASSET__MAJOR_VERSION_NUMBER

          static final org.eclipse.emf.ecore.EAttribute ASSET__MAJOR_VERSION_NUMBER

      The meta object literal for the 'Major Version Number' attribute feature.

    - #### ASSET__MINOR_VERSION_NUMBER

          static final org.eclipse.emf.ecore.EAttribute ASSET__MINOR_VERSION_NUMBER

      The meta object literal for the 'Minor Version Number' attribute feature.

    - #### ASSET__MAJOR_SERVICE_NUMBER

          static final org.eclipse.emf.ecore.EAttribute ASSET__MAJOR_SERVICE_NUMBER

      The meta object literal for the 'Major Service Number' attribute feature.

    - #### ASSET__MINOR_SERVICE_NUMBER

          static final org.eclipse.emf.ecore.EAttribute ASSET__MINOR_SERVICE_NUMBER

      The meta object literal for the 'Minor Service Number' attribute feature.

    - #### ASSET__BUILD_NUMBER

          static final org.eclipse.emf.ecore.EAttribute ASSET__BUILD_NUMBER

      The meta object literal for the 'Build Number' attribute feature.

    - #### ASSET__UPDATE_STAMP

          static final org.eclipse.emf.ecore.EAttribute ASSET__UPDATE_STAMP

      The meta object literal for the 'Update Stamp' attribute feature.

    - #### ASSET__VALIDATION_REQUEST

          static final org.eclipse.emf.ecore.EAttribute ASSET__VALIDATION_REQUEST

      The meta object literal for the 'Validation Request' attribute feature.

    - #### ASSET__EXTERNAL_CHECKSUM

          static final org.eclipse.emf.ecore.EAttribute ASSET__EXTERNAL_CHECKSUM

      The meta object literal for the 'External Checksum' attribute feature.

    - #### ASSET__READ_ONLY

          static final org.eclipse.emf.ecore.EAttribute ASSET__READ_ONLY

      The meta object literal for the 'Read Only' attribute feature.

    - #### ASSET__VALIDATION_MESSAGES

          static final org.eclipse.emf.ecore.EReference ASSET__VALIDATION_MESSAGES

      The meta object literal for the 'Validation Messages' containment reference list feature.

    - #### VALIDATABLE_OBJECT

          static final org.eclipse.emf.ecore.EClass VALIDATABLE_OBJECT

      The meta object literal for the '`Validatable Object`' class.
      See Also:
        `ValidatableObjectImpl`, `CommonPackageImpl.getValidatableObject()`

    - #### VALIDATABLE_OBJECT__VALIDATION_MESSAGES

          static final org.eclipse.emf.ecore.EReference VALIDATABLE_OBJECT__VALIDATION_MESSAGES

      The meta object literal for the 'Validation Messages' reference list feature.

    - #### ANNOTATION

          static final org.eclipse.emf.ecore.EClass ANNOTATION

      The meta object literal for the '`Annotation`' class.
      See Also:
        `AnnotationImpl`, `CommonPackageImpl.getAnnotation()`

    - #### ANNOTATION__NAME

          static final org.eclipse.emf.ecore.EAttribute ANNOTATION__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### ANNOTATION__VALUE

          static final org.eclipse.emf.ecore.EAttribute ANNOTATION__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### ANNOTATABLE

          static final org.eclipse.emf.ecore.EClass ANNOTATABLE

      The meta object literal for the '`Annotatable`' class.
      See Also:
        `AnnotatableImpl`, `CommonPackageImpl.getAnnotatable()`

    - #### ANNOTATABLE__ANNOTATIONS

          static final org.eclipse.emf.ecore.EReference ANNOTATABLE__ANNOTATIONS

      The meta object literal for the 'Annotations' containment reference list feature.

    - #### CORTICON_OBJECT

          static final org.eclipse.emf.ecore.EClass CORTICON_OBJECT

      The meta object literal for the '`Corticon Object`' class.
      See Also:
        `CorticonObjectImpl`, `CommonPackageImpl.getCorticonObject()`

    - #### CORTICON_OBJECT__GUID

          static final org.eclipse.emf.ecore.EAttribute CORTICON_OBJECT__GUID

      The meta object literal for the 'Guid' attribute feature.

    - #### VALIDATION_MESSAGE_TYPE

          static final org.eclipse.emf.ecore.EEnum VALIDATION_MESSAGE_TYPE

      The meta object literal for the '`Validation Message Type`' enum.
      See Also:
        `ValidationMessageType`, `CommonPackageImpl.getValidationMessageType()`

    - #### VALIDATION_MESSAGE_SEVERITY

          static final org.eclipse.emf.ecore.EEnum VALIDATION_MESSAGE_SEVERITY

      The meta object literal for the '`Validation Message Severity`' enum.
      See Also:
        `ValidationMessageSeverity`, `CommonPackageImpl.getValidationMessageSeverity()`

    - #### LANGUAGE_CODE

          static final org.eclipse.emf.ecore.EEnum LANGUAGE_CODE

      The meta object literal for the '`Language Code`' enum.
      See Also:
        `LanguageCode`, `CommonPackageImpl.getLanguageCode()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.